%global namedreltag .CR4
%global namedversion %{version}%{?namedreltag}

Name:             arquillian-osgi
Version:          2.0.0
Release:          %mkrel 0.1%{namedreltag}.1
Summary:          Arquillian OSGi
Group:            Development/Java
License:          ASL 2.0 and LGPLv2+
URL:              http://arquillian.org
Source0:          https://github.com/arquillian/arquillian-container-osgi/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    jbosgi-parent
BuildRequires:    jbosgi-metadata
BuildRequires:    jbosgi-framework
BuildRequires:    jboss-logging
BuildRequires:    jboss-logmanager
BuildRequires:    felix-framework
BuildRequires:    arquillian-core
BuildRequires:    shrinkwrap-resolver >= 2.0.1-0.2

BuildRequires:    eclipse-equinox-osgi

%description
This package contains Arquillian OSGi support.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n arquillian-container-osgi-%{namedversion}

%pom_disable_module common container/pom.xml
%pom_disable_module felix container/pom.xml
%pom_disable_module embedded container/pom.xml

%pom_add_dep "org.apache.felix:org.apache.felix.framework" testenricher/pom.xml

%build
# Couldn't start the osgi framework
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md

%files javadoc -f .mfiles-javadoc



%changelog
* Tue Dec 17 2013 dmorgan <dmorgan> 2.0.0-0.1.CR4.1.mga4
+ Revision: 558251
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.2-4.mga3
+ Revision: 346109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.0.2-3.mga3
+ Revision: 331692
- imported package arquillian-osgi


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.2-2
- Fixed license
- Fixed tarball instructions

* Fri Jun 15 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.2-1
- Initial packaging

